TechDraw 3PtAngleDimension/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 19: Line 19:
}}
}}


<span id="Description"></span>
==Описание==
==Описание==


Line 26: Line 27:
{{Caption|Measuring the angle between two straight lines using three vertices; the second vertex should be the apex of the angle}}
{{Caption|Measuring the angle between two straight lines using three vertices; the second vertex should be the apex of the angle}}


<span id="Usage"></span>
==Применение==
==Применение==


Line 31: Line 33:
# Press the {{Button|[[Image:TechDraw_3PtAngleDimension.svg|16px]] [[TechDraw_3PtAngleDimension|3-Point Angle Dimension]]}} button
# Press the {{Button|[[Image:TechDraw_3PtAngleDimension.svg|16px]] [[TechDraw_3PtAngleDimension|3-Point Angle Dimension]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# If needed, add tolerances as described in [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].


To change the properties of a dimension object either double-clicking it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|dimension dialog]].
To change the properties of a dimension object either double-click it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|dimension dialog]].


<span id="Limitations"></span>
== Ограничения ==
== Ограничения ==


Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]] for more information.
Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]] for more information.


<span id="Properties"></span>
==Свойства==
==Свойства==


See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].
See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].


<span id="Scripting"></span>
==Программирование==
==Программирование==



Revision as of 18:04, 5 March 2023

Other languages:

Указать угловой размер по 3 точкам

Системное название
TechDraw_3PtAngleDimension
Расположение в меню
TechDraw → Указать угловой размер по 3 точкам
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.18
См. также
Указать угловой размер

Описание

The 3-Point Angle Dimension tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. Note that the second of the three Vertices is the apex of the angle. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Measuring the angle between two straight lines using three vertices; the second vertex should be the apex of the angle

Применение

  1. Select the points or edge which define your measurement.
  2. Press the 3-Point Angle Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described on this page.

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the dimension dialog.

Ограничения

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Свойства

See TechDraw LengthDimension.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The 3-Point Angle Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)